<div class="common-profile-header">{{'labelMyWallet' | translate: lang}}</div>
<div class="container">
  <div class="row wallet" *ngIf="walletAmount">
    <div class="col-md-6">
      <div class="card m-t20">
        <div class="card-body">
          <div class="row">
            <div class="col-md-3">
              <img src="assets/images/wallet-icon.png">
            </div>
            <div class="col-md-9">
              <h4>{{'labelWalletAmount' | translate: lang}}</h4>
              <h2>{{walletAmount.amount ? (walletAmount.amount | customCurrencyFormat): 0}}</h2>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="col-md-6">
      <div class="card m-t20">
        <div class="card-body">
          <div class="row">
            <div class="col-md-3">
              <img src="assets/images/consumed-icon.png">
            </div>
            <div class="col-md-9">
              <h4>{{'labelConsumedAmount' | translate: lang}}</h4>
              <h2>{{walletAmount.consumedAmount ? (walletAmount.consumedAmount | customCurrencyFormat): 0}}</h2>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="row">
    <div class="col-md-12 mt-4 mb-4">
      <!-- <button class="m-r10" [title]="'buttonRechargeWallet' | translate: lang" mat-raised-button color="primary">{{'buttonRechargeWallet'
        | translate: lang}}</button> -->
      <button class="float-right" (click)="showTransactionList()" [title]="'buttonTransactionSummary' | translate: lang" [ngx-scroll-to]="'#transactionSummary'"
        mat-raised-button type="button" color="primary">{{'buttonTransactionSummary' | translate: lang}}</button>
    </div>
  </div>
  <div class="row" *ngIf="showTransactionSummary" id="transactionSummary">
    <div class="col-md-12 mb-4  col-mob">
      <div class="mat-elevation-z8">
        <table mat-table [dataSource]="transactionList" matSort (matSortChange)="sortEvent($event)">
          <ng-container matColumnDef="date">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> {{'labelDate' | translate: lang }} </th>
            <td mat-cell *matCellDef="let element"> {{element.date | customDate}} </td>
          </ng-container>
          <ng-container matColumnDef="referenceNo">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> {{'labelReference' | translate: lang }} </th>
            <td mat-cell *matCellDef="let element"> {{element.referenceNo}} </td>
          </ng-container>
          <ng-container matColumnDef="description">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> {{'labelDescription' | translate: lang }} </th>
            <td mat-cell *matCellDef="let element"> {{element.description}} </td>
          </ng-container>
          <ng-container matColumnDef="amount">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> {{'labelAmount' | translate: lang }} </th>
            <td mat-cell *matCellDef="let element">
                {{element.amount ? (element.amount | customCurrencyFormat): 0}}
            </td>
          </ng-container>
          <ng-container matColumnDef="type">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> {{'labelType' | translate: lang }} </th>
            <td mat-cell *matCellDef="let element"> {{element.type === 0 ? ('labelCredit' | translate: lang) :
              ('labelDebit' | translate: lang)}} </td>
          </ng-container>
          <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
          <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
        </table>
        <div class="no-data-found" *ngIf="transactionList === undefined">
          {{'lableNoTransaction' | translate: lang}}
        </div>
        <div class="common-pagination">
          <app-common-pagination [offset]="offSet" [limit]="limit" [size]="totalRecord" (pageChange)="onPageChange($event)"></app-common-pagination>
        </div>
      </div>
    </div>
  </div>
</div>
